Bug 622961 - [abrt] crash in gourmet-0.15.4-4.fc13: GourmetRecipeManager.py:134:<lambda>:AttributeError: RecGui instance has no attribute 'forget_remembered_optional_ingredients'
Summary: [abrt] crash in gourmet-0.15.4-4.fc13: GourmetRecipeManager.py:134:<lambda>:A...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gourmet
Version: 13
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jef Spaleta
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:ce174222
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-10 21:56 UTC by Robert Martin
Modified: 2011-06-28 14:44 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-06-28 14:44:35 UTC


Attachments (Terms of Use)
File: backtrace (629 bytes, text/plain)
2010-08-10 21:56 UTC, Robert Martin
no flags Details

Description Robert Martin 2010-08-10 21:56:02 UTC
abrt 1.1.1 detected a crash.

architecture: i686
cmdline: /usr/bin/python /usr/bin/gourmet
component: gourmet
executable: /usr/bin/gourmet
kernel: 2.6.34.2-34.fc13.i686.PAE
package: gourmet-0.15.4-4.fc13
reason: GourmetRecipeManager.py:134:<lambda>:AttributeError: RecGui instance has no attribute 'forget_remembered_optional_ingredients'
release: Fedora release 13 (Goddard)

backtrace
-----
GourmetRecipeManager.py:134:<lambda>:AttributeError: RecGui instance has no attribute 'forget_remembered_optional_ingredients'

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/gourmet/GourmetRecipeManager.py", line 134, in <lambda>
    buttons={'clear_remembered_optional_button':lambda *args: self.forget_remembered_optional_ingredients()}
AttributeError: RecGui instance has no attribute 'forget_remembered_optional_ingredients'

Local variables in innermost frame:
self: <gourmet.GourmetRecipeManager.RecGui instance at 0xb3a12cc>
args: (<gtk.Button object at 0xb39b644 (GtkButton at 0xa0d90f8)>,)

Comment 1 Robert Martin 2010-08-10 21:56:03 UTC
Created attachment 438013 [details]
File: backtrace

Comment 2 Jeff Raber 2010-12-11 15:50:00 UTC
Robert;
   Is this crash reproducible?  If so, please comment with the steps to reproduce the crash.

Also, could you try reproducing this bug with the latest testing version?  To do so, enter the following into a terminal as root:
   yum --enablerepo=updates-testing update gourmet

If you do install the testing version, please leave feedback (positive or negative) at https://admin.fedoraproject.org/updates/gourmet-0.15.6-4.fc13



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 3 Bug Zapper 2011-06-01 11:42:27 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2011-06-28 14:44:35 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.